Joomla 5 Notice

We are pleased to announce that as of January 29, 2024, all of our Joomla extensions are compatible with Joomla 5.

For all who are still updateing from Joomla 3 to Joomla 4: Joomla 4 Migration instructions are available here:

There is now a separate Documentation for Visforms for Joomla 4 and for Visforms for Joomla 5!

Forum

Visforms Subscription user can ask questions in our forum. Please log in with the relevant user first.
Everybody can access the forum for reading.

Please only ask 1 question per topic.

einige Visforms-Platzhalter vom Typ overhead funktionieren nicht

More
4 weeks 2 days ago #10190 by Administrator IV
Hallo Heinz,

vielen Dank für deine Nachfrage.
Dieser Bereich wurde durch 2 Issues komplett überarbeitet.

Der genannte Issue [VF-816] ist bis auf die Anpassung der Dokumentation fertig und ist im kommenden Stable-Release 5.1.0 enthalten.
Es gibt zusätzlich sogar noch einen Parameter für die Formular ID ${formid}, der in der Dokumentation ebenfalls noch ergänzt werden muss.

Zusätzlich war allerdings der folgende Issue bereits im jüngsten Beat-Release 5.0.1 enthalten:
Issue [VF-1007] Make use of placeholder in visforms more consitent

Der Issue [VF-1007] geht noch weiter.
Mit dem Issue [VF-1007] werden alle folgenden Overhead-Platzhalter
- Datensatz: 'id', 'created', 'created_by', 'modified', 'modified_by', 'ismdf', 'ipaddress', 'checked_out', 'checked_out_time', 'published'
- Formular:  'formid', 'formtitle'
an den Stellen
- Formular senden,
- CSV Export (Platzhalter-Ersetzung im Dateinamen der CSV Datei überarbeitet, so dass alle Platzhalter unterstützt werden),
- PDF Export (Platzhalter-Ersetzung im Dokument und im Dateinamen)
einheitlich ersetzt.

Falls du also das jüngsten Beat-Release 5.0.1 installiert hast, funktioniert es bereits im Beta-Sinne.
Das Beat-Release 5.0.1 ging wie alle Beta-Releases bewusst nicht automatisch über den Update-Manager.
Informiert wird dieses Thema dann mit dem kommenden Stable-Release 5.1.0.

Liebe Grüße, Ingmar

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).
The following user(s) said Thank You: MaliRaj

More
4 weeks 2 days ago #10191 by MaliRaj
Oh, das ist cool, vielen Dank für die Rückinfo. Bedauerlicherweise kann ich die bestehenden Systeme noch nicht auf Joomla 5 umstellen, da die Systemvoraussetzungen beim Webhoster nicht gegeben sind. Die SQL-Version ist dort für diesen Tarif zu alt. Die alten Verträge sollten zwar schon längst "automatisch" vom Confixx ins CLOUD-Pit umgezogen sein. Das zieht sich aber nun schon schon 2 Jahre hin.
Werden diese Änderungen auch noch in eine J4-stable-Version einfließen? Ansonsten muss ich das behelfsweise noch anders lösen, bis ich auf J5 umstellen kann.

Freundliche Grüße aus PM
Heinz

More
3 weeks 6 days ago #10196 by Administrator IV
Hallo Heinz,

Neuentwicklungen gehen alle ausschließlich auf Joomla 5.
Leider musst du das behelfsweise noch anders lösen.

Joomla 4 erhält Bug-Fixes und Sicherheits-Updates.

Sicherheits-Updates für Joomla 4 gab es mittlerweile bereits 2 mal zum Thema SQL Injection:
docs.joomla-4.visforms.vi-solutions.de/u...4/sub-version-4-4-1/
docs.joomla-4.visforms.vi-solutions.de/u...4/sub-version-4-4-2/

Zu: Die SQL-Version ist dort für diesen Tarif zu alt.
Wie kann es sein, dass es für einen gegebenen, also aktuell zu bezahlenden Tarif, nicht immer auch die fast aktuellen Versionen gibt?
Du zahlst ja auch mit der aktuellsten Euro-Kaufwert Version und mit der aktuellsten Inflations-Raten Version auf dem Markt.

Zu: Das zieht sich aber nun schon schon 2 Jahre hin.
Seit ihr verheiratet?
Scheidung ist immer eine schwere Entscheidung, egal ob gütlich oder nicht.

Nur zur Information:
Wir arbeiten bei unserer Entwicklung intensiv mit Docker Containern.
Das erleichtert insbesondere die schnelle Umschaltung zwischen den Server-Versionen PHP, MySQL, Apache ....

Bislang haben wir uns der Umstellung der Datenbank-Version auf 8 bewusst komplett enthalten.
Der Grund: die physischen Datenbanken von MySQL 8 sind nicht kompatibel mit älteren Versionen.
Dadurch wird er schnelle Versionswechsel des MySQL-Servers bei gleichen Datenbank-Dateien stark eingeschränkt.

Wir stellen fest: Joomla 5 läuft bislang bei Development und Einsatz hervorragend weiterhin auf etwa MySQL 5.7.34.

Liebe Grüße, Ingmar

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).

More
1 week 5 days ago - 1 week 3 days ago #10264 by MaliRaj

Wir stellen fest: Joomla 5 läuft bislang bei Development und Einsatz hervorragend weiterhin auf etwa MySQL 5.7.34.

Mich hat diese Meldung (siehe Bild) bisher abgeschreckt. Durch meine neue Testumgebung (XAMPP/VS Code/XDebug) konnte ich nun aber testen, dass ein manuelles Upgrade auf J5 trotzdem möglich ist.
Daraufhin habe ich auch erfolgreich visforms und mein Customplugin auf Version 5 umgestellt. Bei letzterem war mir VS Code eine unglaubliche Hilfe. Total tolle Erfahrung. (Wie habe ich das bisher nur ausgehalten?  )

Bislang haben wir uns der Umstellung der Datenbank-Version auf 8 bewusst komplett enthalten.

Inzwischen habe ich auch erfolgreich Joomla 5 mit SQL 8 und Visforms 5 auf einem Live-Test-System getestet. Werde also nach und nach alle Projekte umstellen. Oder ist mit SQL 8 und visforms noch zu warten?

Freundliche Grüße aus PM
Heinz
Attachments:
Last edit: 1 week 3 days ago by MaliRaj.

More
1 week 2 days ago #10292 by Administrator IV
Hallo Heinz,

nein, mit MySQL 8 und Visforms musst du nicht warten.
Visforms ist MySQL 8 kompatibel.

Wir sehen diesen Dialog nicht und können Joomla Installieren und Updaten mit MySQL 5.7.34, einfach weil wir in unseren Tools den Joomla-Code automatisch minimal manipulieren.
Zumindest noch im Moment.

Das machen wir aus folgendem Grund.
Unserer Entwicklungs-Umgebung basiert auf Docker.
Damit können wir PHP, Apache und Datenbank Versionen getrennt einzeln in Echtzeit frei wählen und umstellen.

Insbesondere bei der Datenbank gibt es aber Kompatibilitäts-Probleme bezüglich der binären Daten-Dateien.
Weil aber alle unsere Beispiele wichtig sind und für möglichst viele Versionen gleichzeitig verwendet werden sollen, warten wir noch mit dem tatsächlichen Umstieg auf MySQL 8.

Zu: Wie habe ich das bisher nur ausgehalten?
Das Licht der Begeisterung scheint umso heller, je länger und tiefer die Dunkelheit währte.
Also: Demut!

Liebe Grüße, Ingmar

:idea: I recommend you the new and up-to-date documentation for Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/en/docs/
Most of this also applies retrospectively to Joomla 3.
Please only ask 1 question per topic :-).

:idea: Ich empfehle Dir die neue und aktuelle Dokumentation für Joomla 4:
docs.joomla-5.visforms.vi-solutions.de/docs/
Das meiste gilt rückwirkend auch für Joomla 3.
Bitte immer nur 1 Frage pro Thema stellen :-).
The following user(s) said Thank You: MaliRaj

Moderators: Administrator AVAdministrator IV
Powered by Kunena Forum